Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.analysis.th
Class ThaiAnalyzer

    java.lang.Object
      org.apache.lucene.analysis.Analyzer
          org.apache.lucene.analysis.ReusableAnalyzerBase
              org.apache.lucene.analysis.StopwordAnalyzerBase
                  org.apache.lucene.analysis.th.ThaiAnalyzer

All Implemented Interfaces:
  Closeable

    public final class ThaiAnalyzer

extends org.apache.lucene.analysis.StopwordAnalyzerBase

`Analyzer` for Thai language. It uses `BreakIterator` to break words.

You must specify the required `Version` compatibility when creating ThaiAnalyzer:

- As of 3.6, a set of Thai stopwords is used by default

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.lucene.analysis.ReusableAnalyzerBase
`org.apache.lucene.analysis.ReusableAnalyzerBase.TokenStreamComponents`

Field Summary
`static String` | `DEFAULT_STOPWORD_FILE` File containing default Thai stopwords.

Fields inherited from class org.apache.lucene.analysis.StopwordAnalyzerBase
`matchVersion, stopwords`

Constructor Summary
`ThaiAnalyzer(org.apache.lucene.util.Version matchVersion)` Builds an analyzer with the default stop words.
`ThaiAnalyzer(org.apache.lucene.util.Version matchVersion, Set<?> stopwords)` Builds an analyzer with the given stop words.

Method Summary
`protected org.apache.lucene.analysis.ReusableAnalyzerBase.TokenStreamComponents` | `createComponents(String fieldName, Reader reader)` Creates `ReusableAnalyzerBase.TokenStreamComponents` used to tokenize all the text in the provided `Reader`.
`static Set<?>` | `getDefaultStopSet()` Returns an unmodifiable instance of the default stop words set.

Methods inherited from class org.apache.lucene.analysis.StopwordAnalyzerBase
`getStopwordSet, loadStopwordSet, loadStopwordSet, loadStopwordSet`

Methods inherited from class org.apache.lucene.analysis.ReusableAnalyzerBase
`initReader, reusableTokenStream, tokenStream`

Methods inherited from class org.apache.lucene.analysis.Analyzer
`close, getOffsetGap, getPositionIncrementGap, getPreviousTokenStream, setPreviousTokenStream`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_STOPWORD_FILE

    public static final String DEFAULT_STOPWORD_FILE

  File containing default Thai stopwords.

  See Also:
    Constant Field Values

Constructor Detail

### ThaiAnalyzer

    public ThaiAnalyzer(org.apache.lucene.util.Version matchVersion)

  Builds an analyzer with the default stop words.

  Parameters:
    `matchVersion` - lucene compatibility version

### ThaiAnalyzer

    public ThaiAnalyzer(org.apache.lucene.util.Version matchVersion,
                        Set<?> stopwords)

  Builds an analyzer with the given stop words.

  Parameters:
    `matchVersion` - lucene compatibility version
    `stopwords` - a stopword set

Method Detail

### getDefaultStopSet

    public static Set<?> getDefaultStopSet()

  Returns an unmodifiable instance of the default stop words set.

  Returns:
    default stop words set.

### createComponents

    protected org.apache.lucene.analysis.ReusableAnalyzerBase.TokenStreamComponents createComponents(String fieldName,
                                                                                                     Reader reader)

  Creates `ReusableAnalyzerBase.TokenStreamComponents` used to tokenize all the text in the provided `Reader`.

  Specified by:
    `createComponents` in class `org.apache.lucene.analysis.ReusableAnalyzerBase`
  Returns:
    `ReusableAnalyzerBase.TokenStreamComponents` built from a `StandardTokenizer` filtered with `StandardFilter`, `LowerCaseFilter`, `ThaiWordFilter`, and `StopFilter`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD